# Tomcat
server:
  port: 6010

# spring配置
spring:
  redis:
    host: 39.100.149.153
    port: 6379
    password: abc@123@...
#  rabbitmq:
#    host: 10.0.200.121
#    port: 5672
#    username: trkj
#    password: 123@abc
#    listener:
#      simple:
#        acknowledge-mode: manual
#        concurrency: 5
#        max-concurrency: 10
  datasource:
    druid:
      stat-view-servlet:
        enabled: true
        loginUsername: admin
        loginPassword: 123456
    dynamic:
      primary: master
      druid:
        initial-size: 5
        min-idle: 5
        maxActive: 20
        maxWait: 60000
        timeBetweenEvictionRunsMillis: 60000
        minEvictableIdleTimeMillis: 300000
        validationQuery: SELECT 1
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        poolPreparedStatements: true
        maxPoolPreparedStatementPerConnectionSize: 20
        filters: stat,slf4j
        connectionProperties: druid.stat.mergeSql\=true;druid.stat.slowSqlMillis\=5000
      datasource:
        # 主库数据源
        master:
          driver-class-name: org.postgresql.Driver
          url: jdbc:postgresql://39.100.149.153:5432/postgres?useUnicode=true&characterEncoding=UTF-8&allowMultiQueries=true&serverTimezone=Asia/Shanghai
          username: postgres
          password: abc@123@...
#        ods:
#          driver-class-name: org.postgresql.Driver
#          url: jdbc:postgresql://10.0.200.170:5432/ts_bigdata?currentSchema=ts_accurate_emission_reduction&useUnicode=true&characterEncoding=UTF-8&allowMultiQueries=true&serverTimezone=Asia/Shanghai
#          username: ts_bigdata
#          password: ~jLvod5s#=X}{gUigrm+w&y7.b{!
      # seata: true    # 开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭


# seata配置
#seata:
#  # 默认关闭，如需启用spring.datasource.dynami.seata需要同时开启
#  enabled: false
#  # Seata 应用编号，默认为 ${spring.application.name}
#  application-id: ${spring.application.name}
#  # Seata 事务组编号，用于 TC 集群名
#  tx-service-group: ${spring.application.name}-group
#  # 关闭自动代理
#  enable-auto-data-source-proxy: false
#  # 服务配置项
#  service:
#    # 虚拟组和分组的映射
#    vgroup-mapping:
#      ruoyi-system-group: default
#  config:
#    type: nacos
#    nacos:
#      serverAddr: 10.0.200.93:8848
#      group: SEATA_GROUP
#      namespace:
#  registry:
#    type: nacos
#    nacos:
#      application: seata-server
#      server-addr: 10.0.200.93:8848
#      namespace:

# mybatis配置
mybatis-plus:
  mapper-locations: classpath*:mapper/**/*.xml
  type-aliases-package: cn.cecep.talroad.**.mapper
  global-config:
    db-config:
      logic-delete-field: delFlag
      logic-delete-value: 2 # 逻辑已删除值
      logic-not-delete-value: 0 # 逻辑未删除值(默认为 0)
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl #开启sql日志
    call-setters-on-nulls: true
ys:
  appKey: 9fb9d26fa9a447c5802af954fb852077
  secret: ae77423d6c0d42698f9807b5726558a6
amproblem:
  zf:
    url: http://106.119.195.117:7080/qyzhgk/jgzfDataTask/callbackResult
url:
  threeSupervision: http://106.119.195.117:7080/qyzhgk